MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029109Community[OCCT] OCCT:Visualizationpublic2017-09-13 17:552017-10-14 12:19
Reporterziaulazam 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformMinGW-w64OSWindowsOS Version7
Product Version 
Target Version[OCCT] 7.3.0*Fixed in Version 
Summary0029109: Visualization, AIS_Trihedron - add option hiding arrows tips
DescriptionVisualization gets slower if many AIS_Trihedron(s) are rendered at the same time in the visualization window.

The visualization can be optimized by providing a possibility to switch off the visualization of arrows if many AIS_Trihedron(s) are to be rendered.

Therefore, a public method can be provided to the users of class to toggle the visualization of arrows according to the application use case.
Steps To ReproduceNot Required
TagsNo tags attached.
Test case numberNot required
Attached Filespng file icon occ_trihedrons.png (6,351 bytes) 2017-10-04 13:57

- Relationships

-  Notes
(0070511)
git (administrator)
2017-09-13 18:16

Branch CR29109 has been created by Zia ul Azam.

SHA-1: 2b7b305f8dd8b7ce534fbf7846481fd3155db2f6


Detailed log of new commits:

Author: Zia ul Azam
Date: Wed Sep 13 17:12:57 2017 +0200

    0029109: Visualization gets slower if many AIS_Trihedron(s) are rendered
    
    Added a public method to toggle arrows visibility in AIS_Trihedron.
(0070518)
kgv (developer)
2017-09-14 09:11

+  Standard_EXPORT void ToggleArrowsVisibility() { myIsArrowsVisible = !myIsArrowsVisible; }

This is not how Boolean flags are usually provided in OCCT classes - there should be a getter ToDrawArrows() and setter SetDrawArrows().
Also declaring inline method Standard_EXPORT will force each binary (DLL, EXE - including application itself) where this header will be included in some cpp file to export this function.
(0070591)
git (administrator)
2017-09-15 15:32

Branch CR29109 has been updated by Zia ul Azam.

SHA-1: 36212450fc1a34ccbf8628f1a86dc79ca7e8cf00


Detailed log of new commits:

Author: Zia ul Azam
Date: Fri Sep 15 14:31:47 2017 +0200

    0029109: Visualization gets slower if many AIS_Trihedron(s) are rendered
    
    Added getters and setters to manage whether to draw arrows or not.

(0070597)
ziaulazam (developer)
2017-09-15 16:18

I cannot change the status of this issue? Why?
(0071096)
ziaulazam (developer)
2017-10-01 21:03

The comments on the previous commit have been taken care of now. I have added the getter and setter as pointed out.
(0071181)
git (administrator)
2017-10-04 10:47

Branch CR29109_1 has been created by kgv.

SHA-1: 628ed2d8559d5b7680a77cb07b2c782562c65357


Detailed log of new commits:

Author: Zia ul Azam
Date: Wed Sep 13 17:12:57 2017 +0200

    0029109: Visualization gets slower if many AIS_Trihedron(s) are rendered
    
    Added getters and setters to manage whether to draw arrows or not.
(0071188)
git (administrator)
2017-10-04 11:51

Branch CR29109_1 has been updated by kgv.

SHA-1: daf7ad81873a399581a3618557d03659ad940a21


Detailed log of new commits:

Author: kgv
Date: Wed Oct 4 11:51:18 2017 +0300

    vtrihedron - added new option -arrowTip.
    Fixed misprint in help -arrowscolor -> -arrowcolor.

(0071189)
git (administrator)
2017-10-04 12:45

Branch CR29109_1 has been updated by kgv.

SHA-1: 05c2ce3d0f0eac92f5b0e67d0c2c3a6e256c3ddd


Detailed log of new commits:

Author: kgv
Date: Wed Oct 4 12:45:34 2017 +0300

    Prs3d_DatumAspect::DrawDatumPart() now handles new flag myToDrawArrows.

(0071190)
git (administrator)
2017-10-04 12:51

Branch CR29109_2 has been created by kgv.

SHA-1: a14f512cfe39a23a25ba60a8eff2824ed26286f6


Detailed log of new commits:

Author: Zia ul Azam
Date: Wed Sep 13 17:12:57 2017 +0200

    0029109: Visualization, AIS_Trihedron - add option hiding arrows tips
    
    Prs3d_DatumAspect::DrawDatumPart() now handles new flag ToDrawArrows().
    
    vtrihedron - added new option -arrowTip.
    Fixed misprint in command description -arrowscolor -> -arrowcolor.
(0071208)
kgv (developer)
2017-10-04 19:51

Please take the patch.

http://jenkins-test-10.nnov.opencascade.com/view/CR29109_2-master-KGV/ [^]
(0071232)
bugmaster (administrator)
2017-10-05 13:07
edited on: 2017-10-05 13:07

Combination -
OCCT branch : CR29109_2 SHA-1: a14f512cfe39a23a25ba60a8eff2824ed26286f6
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.


Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

(0071454)
git (administrator)
2017-10-14 12:19

Branch CR29109 has been deleted by kgv.

SHA-1: 36212450fc1a34ccbf8628f1a86dc79ca7e8cf00
(0071455)
git (administrator)
2017-10-14 12:19

Branch CR29109_1 has been deleted by kgv.

SHA-1: 05c2ce3d0f0eac92f5b0e67d0c2c3a6e256c3ddd
(0071456)
git (administrator)
2017-10-14 12:19

Branch CR29109_2 has been deleted by kgv.

SHA-1: a14f512cfe39a23a25ba60a8eff2824ed26286f6

- Related Changesets
occt: master fae1ae11
Timestamp: 2017-09-13 15:12:57
Author: ziaulazam
Committer: bugmaster
Details ] Diff ]
0029109: Visualization, AIS_Trihedron - add option hiding arrows tips

Prs3d_DatumAspect::DrawDatumPart() now handles new flag ToDrawArrows().

vtrihedron - added new option -arrowTip.
Fixed misprint in command description -arrowscolor -> -arrowcolor.
mod - src/AIS/AIS_Trihedron.cxx Diff ] File ]
mod - src/AIS/AIS_Trihedron.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_DatumAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_DatumAspect.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - tests/bugs/vis/bug27958 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-13 17:55 ziaulazam New Issue
2017-09-13 17:55 ziaulazam Assigned To => kgv
2017-09-13 18:16 git Note Added: 0070511
2017-09-14 09:11 kgv Note Added: 0070518
2017-09-15 15:32 git Note Added: 0070591
2017-09-15 16:18 ziaulazam Note Added: 0070597
2017-10-01 21:03 ziaulazam Note Added: 0071096
2017-10-01 21:03 ziaulazam Status new => resolved
2017-10-01 21:03 ziaulazam Steps to Reproduce Updated View Revisions
2017-10-04 10:47 git Note Added: 0071181
2017-10-04 11:42 kgv Summary Visualization gets slower if many AIS_Trihedron(s) are rendered => Visualization, AIS_Trihedron - add option hiding arrows tips
2017-10-04 11:42 kgv Severity minor => feature
2017-10-04 11:42 kgv Target Version => 7.3.0*
2017-10-04 11:51 git Note Added: 0071188
2017-10-04 12:45 git Note Added: 0071189
2017-10-04 12:51 git Note Added: 0071190
2017-10-04 13:57 kgv File Added: occ_trihedrons.png
2017-10-04 19:51 kgv Note Added: 0071208
2017-10-04 19:51 kgv Assigned To kgv => bugmaster
2017-10-04 19:51 kgv Status resolved => reviewed
2017-10-05 13:07 bugmaster Note Added: 0071232
2017-10-05 13:07 bugmaster Status reviewed => tested
2017-10-05 13:07 bugmaster Note Edited: 0071232 View Revisions
2017-10-06 14:55 bugmaster Changeset attached => occt master fae1ae11
2017-10-06 14:55 bugmaster Status tested => verified
2017-10-06 14:55 bugmaster Resolution open => fixed
2017-10-09 10:22 bugmaster Test case number => Not required
2017-10-14 12:19 git Note Added: 0071454
2017-10-14 12:19 git Note Added: 0071455
2017-10-14 12:19 git Note Added: 0071456


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker